/*******************************************************************************
**
** The header file for the Jahshaka keyframer jahkeyframes file
** The Jahshaka Project
** Copyright (C) 2000-2005 The Jahshaka Project
** Released under the GNU General Public License
**
*******************************************************************************/
#ifndef KEYFRAMEEDITOR_H
#define KEYFRAMEEDITOR_H

#include <qcanvas.h>
#include <qwmatrix.h>

///////////////////////////////////////////
// for the canvas activity

class KeyframeEditor : public QCanvasView {
    Q_OBJECT

public:
    KeyframeEditor(QCanvas*, QWidget* parent=0, const char* name=0, WFlags f=0);
    void cleareditor();

protected:
    void contentsMousePressEvent(QMouseEvent*);
    void contentsMouseMoveEvent(QMouseEvent*);
    virtual void resizeEvent ( QResizeEvent* );

signals:
    void status(const QString&);
    void signalKeyframeChanged(void);

private:
    QCanvasItem* moving;
    QPoint moving_start;

    double zoomlevel;
};



#endif
